/*******************************************************************
Programm: Multi MFA fr VW CAN bis mj 2003

Lizenz: non Plublic no Freeware
Copyright: Markus Rath

*******************************************************************/

#include <avr/io.h>           
#include <avr/interrupt.h>
#include <util/delay.h> 
#include "main.h"
#include "at90can128.c"






int main (void)
{


atcan90can128_init(); //CANBUS Einschalten
can_rx_config(); //Einen Mob fr den Empfang freischalten

//Lokale Variablen
CAN_messageType msgb;
CAN_messageType msga;

sei();	//Interrups Global einschalten
//cli();  //Interrups Global ausschalten


   while(1)
    {

	msga.id = 0x80;
	msga.length = 5;
	msga.data[0] = 0x48;
	msga.data[1] = 0x61;
	msga.data[2] = 0x6C;
	msga.data[3] = 0x6C;
	msga.data[4] = 0x6F;

can_txa(msga);

	msgb.id = 0x81;
	msgb.length = 4;
	msgb.data[0] = 0x4C;
	msgb.data[1] = 0x4F;
	msgb.data[2] = 0x4f;
	msgb.data[3] = 0x50;

can_txa(msgb);

   	}
   return 0;
}
